Infrastructure - Story #8049

Support synchronization of system metadata for unhosted METADATA and RES_MAP objects
2017-03-21 05:34 - Rob Nahf

Status: In Progress Start date: 2017-03-21
Priority: Normal Due date:

Assignee: % Done: 30%
Category: Architecture Design Estimated time: 0.00 hour
Target version: Release Backlog

Story Points:

Description

As part of mutable-content MN support, allow the MemberNode to keep the system metadata records for all resultant versions of its
changeable entities. this allows them to keep accurate system metadata for every version even though they do not have the object
bytes anymore for that version.

Benefits:

1. MN does not orphan any objects

2. MN can administer objects from past versions on their own MN. Adjust the access policy of all versions, for example.
3. don't need to call cn.setObsoletedBy or leave that field empty.

Costs:

1. requires new logic for indexing (possibly)

2. requires new logic for registerSystemMEtadata (possibly)
3. require new logic for synchronization

very similar to how we synchronize DATA objects, but don't trigger MN replication.

Associated revisions

Revision 18815 - 2017-05-01 21:01 - Rob Nahf

refs #8049, provide clearer message when synchronization fails when a NotFound returned from MN.get()

Revision 18815 - 2017-05-01 21:01 - Rob Nahf

refs #8049, provide clearer message when synchronization fails when a NotFound returned from MN.get()

History

#1 - 2017-12-26 18:14 - Dave Vieglais

- Sprint set to Infrastructure backlog
#2 - 2018-01-17 18:50 - Dave Vieglais

- % Done changed from 0 to 30

- Status changed from New to In Progress
